html {
    box-sizing: border-box;
    font-family: sans-serif;
}

*,
*::before,
*::after {
    box-sizing: inherit
}

body {
    margin: 0;
    background: #676767;
}

.wrapper {
    max-width: 1024px;
    margin: 0 auto 20px;
    padding: 0 20px 20px;
    display: grid;
    gap: 20px;
    background: #d3d2d2;
}

nav,
footer {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

nav a,
footer a {
    color: inherit;
    line-height: 2;
    border: 1px solid;
    border-radius: 6px;
    padding: 0 10px;
    text-decoration: none;
    transition: .2s;
}

nav ol {
    list-style-type: decimal-leading-zero;
}

nav a:link,
footer a:link, 
aside a:link {
    color: #90fb6a;
}

nav a:visited,
footer a:visited,
aside a:visited {
    color: rgb(29, 144, 0);
}

nav a:hover,
footer a:hover, 
aside a:hover {
    color: rgb(14, 202, 52);
}

nav a:focus,
footer a:focus,
aside a:focus {
    color: rgb(14, 202, 52);
    outline: 1px solid black;
}

nav a:active,
footer a:active,
aside a:active {
    color: #008432;
}

p {
    line-height: 1.6;
    max-width: 64ch;
}

.intro {
    border-radius: 6px;
    padding-left: 5px;
    background-color: lightslategrey;
    box-shadow: 5px 5px 12px gray;
}

form {
    font-size: 1rem;
    font-family: inherit;
    max-width: 64ch;
}

form * {
    font-size: inherit;
    font-family: inherit;
    margin: 0;
    align-self: baseline;
}

form fieldset {
    border: none;
    margin: 0;
    padding: 0;
}

form ol {
    list-style-type: none;
    padding: 0;
}

form ol li {
    margin-bottom: 1rem;
    padding: .5rem;
}

form ol li label:not(:empty) {
    display: block;
    margin: 0.25rem 0;
}

form fieldset legend {
    padding: 0;
}

form ol li input:not([type="submit"], [type="reset"], [type="button"], [type="image"], [type="radio"], [type="checkbox"]),
form ol li select,
form ol li textarea {
    width: 100%;
    padding: 0.5rem;
    font-size: 1rem;
    font-family: inherit;
    border: 1px solid lightgrey;
}

form ol li input[type="color"] {
    height: 3rem;
}

form fieldset:has([type="radio"], [type="checkbox"]) {
    display: grid;
    grid-template-columns: auto 1fr;
}

form fieldset:has([type="radio"], [type="checkbox"]) label.error {
    grid-column: 1 / -1;
}

form fieldset:has([type="radio"], [type="checkbox"]) label {
    padding: 0 0 0 .25rem;
}

form .error-parent {
    background-color: lightsalmon;
}

@media screen and (min-width: 768px) {
    nav,
    footer {
        flex-direction: row;
        flex-wrap: wrap;
    }

    nav :first-child,
    footer :first-child {
        margin-right: auto;
    }

    .columns {
        display: grid;
        gap: 20px;
        grid-template-columns: 7fr 3fr;
    }
}